Submissions
Get All Submissions
Section titled “Get All Submissions”This endpoint retrieves all submissions associated with an order.
The cu_score and lca_score fields are visible only when we enable this functionality for your lender:
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/order-submissions/<order_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| order_id | The ID of the order. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/lender/order-submissions/<order_id>', headers=headers)Example Response
Section titled “Example Response”{ "data": { "submissions": [ { "version": 1, "pdf_report": "https://sandbox.reggora.io/lender/order-submission/5c4f16764672bb00105ea5f9/1/pdf_report", "xml_report": "https://sandbox.reggora.io/lender/order-submission/5c4f16764672bb00105ea5f9/1/xml_report", "invoice": "https://sandbox.reggora.io/lender/order-submission/5c4f16764672bb00105ea5f9/1/invoice", "fannie_ssr": "https://sandbox.reggora.io/lender/order-submission/5c4f16764672bb00105ea5f9/1/fannie_ssr", "freddie_ssr": "https://sandbox.reggora.io/lender/order-submission/5c4f16764672bb00105ea5f9/1/freddie_ssr", "fha_ssr": "https://sandbox.reggora.io/lender/order-submission/5c4f16764672bb00105ea5f9/1/fha_ssr", "zip_report": { "id": "5d2a4c1e6c4f16764672bb01", "document_name": "5c4f16764672bb00105ea5f9_v1.zip", "document_url": "https://reggora-submission-files.s3.amazonaws.com/orders/5c4f16764672bb00105ea5f9/v1.zip?X-Amz-Signature=EXAMPLE", "upload_datetime": "2026-05-06T14:00:00Z" }, "delivery_receipts": [ { "recipient_name": "John Doe", "recipient_role": "borrower", "recipient_home_phone": "1231231234", "recipient_mobile_phone": "1231231234", "recipient_work_phone": "1231231234", "recipient_email": "fake@email.com", "submission_sent": "February 02, 2021 02:15 PM EST", "denied_e_consent": "February 02, 2021 02:15 PM EST", "e_consent": "February 02, 2021 02:15 PM EST", "submission_downloaded": "February 02, 2021 02:15 PM EST", "mailed_date": "February 02, 2021 02:15 PM EST", "mailed_by": "Fake Person", "delivery_receipt_pdf": "https://sandbox.reggora.io/lender/order-submission/5c4f16764672bb00105ea5f9/1/delivery_pdf?consumer_id=72ddc515-76c3-4537-8911-ac0c9f5b800e" } ], "fannie_mae_property_data_id": "fannie mae data id", "freddie_mac_property_data_id": "freddie mac data id", "cu_score": "1.2", "lca_score": "2.0" } ] }, "status": 200}Download Submission Document
Section titled “Download Submission Document”This endpoint retrieves one of the files that are associated with an order submission. The URL formulas are built for you using the “Get Submissions” API endpoint.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/order-submission/<order_id>/<version>/<report_type>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| order_id | The ID of the order. |
| version | The version number of the submission object. |
| report_type | The name of the document that you are trying to download. (pdf_report, xml_report, invoice, fannie_pdf, freddie_pdf, fha_pdf, or delivery_pdf) |
Query Parameters
Section titled “Query Parameters”| Parameter | Description |
|---|---|
| consumer_id | The ID of the consumer whose delivery receipt you are downloading. Required if report_type is delivery_pdf. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/lender/order-submission/<order_id>/<version>/<report_type>', headers=headers)The above command returns a file object. The file sending is implemented with the flask send_file extension.
Get Submission Appraisal Data
Section titled “Get Submission Appraisal Data”This endpoint retrieves the parsed appraisal data associated with an order submission.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/order-submission-appraisal/<order_id>/<version>/
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| order_id | The ID of the order. |
| version | The version number of the submission object. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/lender/order-submission-appraisal/<order_id>/<version>/', headers=headers)Example Response
Section titled “Example Response”{ "source": "pdf", "data": { "...": "additional properties elided" }}Approve Order Submission
Section titled “Approve Order Submission”This endpoint approves an order submission.
HTTP Request
Section titled “HTTP Request”PUT https://sandbox.reggora.io/lender/order-submission/approve/
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| order_id | The ID of the order. | True |
| version | The version number of the submission object. | True |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}body = { 'order_id': '61ae45992db8d200461f9e8a', 'version': '1'}
response = requests.put('https://sandbox.reggora.io/lender/order-submission/approve/', json=body, headers=headers)Example Response
Section titled “Example Response”{ "order_id": "Order submission has been approved", "status": 200}